com.smartgwt.client.widgets.calendar

## Class CellHoverCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.calendar.CellHoverCustomizer

-     public abstract class CellHoverCustomizer
      extends java.lang.Object

  Called to determine the hover text for a given cell in a CalendarView

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellHoverCustomizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Calendar` | `getCalendar()` Returns the Calendar over which the hover occurred
    `abstract java.lang.String` | `getHoverHTML(ListGridRecord record, int rowNum, int colNum, java.util.Date date, java.lang.String defaultValue, CalendarView view)` getHoverHTML() should be implemented and return the string of HTML to display in the hover for a given cell in a CalendarView
    `void` | `setCalendar(Calendar calendar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellHoverCustomizer

          public CellHoverCustomizer()

  - ### Method Detail

    - #### setCalendar

          public void setCalendar(Calendar calendar)

    - #### getCalendar

          public Calendar getCalendar()

      Returns the Calendar over which the hover occurred
      Returns:
        Calendar over which the hover occurred

    - #### getHoverHTML

          public abstract java.lang.String getHoverHTML(ListGridRecord record,
                                      int rowNum,
                                      int colNum,
                                      java.util.Date date,
                                      java.lang.String defaultValue,
                                      CalendarView view)

      getHoverHTML() should be implemented and return the string of HTML to display in the hover for a given cell in a CalendarView
      Parameters:
        `record` - ListGridRecord the record at the passed rowNum
        `rowNum` - Integer the row index of the cell being hovered
        `calNum` - Integer the column index of the cell being hovered
        `date` - Date the snap date at the mouse pointer
        `defaultValue` - String the default hover HTML
        `calendarView` - CalendarView a reference to the calendarView containing the hover
      Returns:
        String The formatted hover text for the values passed in